%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\(Meta|MetaTest|St|Cogl|Clutter|TelepathyGlib\\)

%global extid   ding@rastersoft.com
%global extname desktop-icons
%global uuid    org.gnome.shell.extensions.ding

Name:           gnome-shell-extension-%{extname}
Version:        48.1.0
Release:        %mkrel 1
Summary:        GNOME Shell extension for providing desktop icons
Group:          Graphical desktop/GNOME

License:        GPLv3+
URL:            https://gitlab.com/rastersoft/desktop-icons-ng
Source0:        %{url}/-/archive/%{version}/%{extname}-ng-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  glib2.0-common
BuildRequires:  gobject-introspection
BuildRequires:  intltool
BuildRequires:  meson
Requires:       gnome-shell
Requires:       file-roller
Requires:       nautilus >= 3.38
Requires:       xdg-desktop-portal-gtk

Provides:       %{name}-ng = %{version}-%{release}

%description
This package provides a GNOME Shell extension for showing the contents
of ~/Desktop on the desktop of the Shell. Common file management operations
such as launching, copy/paste, rename and deleting are supported.

You can use gnome-tweaks (additional package) or run in terminal:

  gnome-extensions enable %{extid}


%prep
%autosetup -n %{extname}-ng-%{version}


%build
%meson --localedir=%{_datadir}/locale
%meson_build


%install
%meson_install

rm -rf  %{buildroot}%{_sysconfdir}

%find_lang ding


%files -f ding.lang
%license COPYING
%doc README.md
%{_datadir}/glib-2.0/schemas/%{uuid}.gschema.xml
%{_datadir}/gnome-shell/extensions/%{extid}


%changelog
* Wed Jun 11 2025 daviddavid <daviddavid> 48.1.0-1.mga10
+ Revision: 2190556
- new version 48.1.0

* Sun Aug 14 2022 tv <tv> 20.04.0-3.mga9
+ Revision: 1877558
- Fix build by BRing glib2.0-common

* Thu Mar 24 2022 umeabot <umeabot> 20.04.0-2.mga9
+ Revision: 1824237
- Mageia 9 Mass Rebuild

* Sat Apr 11 2020 ovitters <ovitters> 20.04.0-1.mga8
+ Revision: 1566322
- new version 20.04.0
- from Fedora


* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 19.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Oct 12 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 19.10.2-1
- Update to 19.10.2

* Thu Oct 03 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 19.10.1-1
- Update to 19.10.1

* Sun Sep 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 19.01.4-4
- Initial package

